Bug 122336 - ncurses whithout gpm breaks console apps
ncurses whithout gpm breaks console apps
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncurses (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 09:34 EDT by Matt Phillips
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.4-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 12:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Phillips 2004-05-03 09:34:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040421

Description of problem:
Apps such as "dialog" that rely on ncurses behave badly when run from
the console if /dev/gpmctl doesn't exist.  An error message (below) is
output to stderr.  The same applications work fine run not from the
console.  Recompiling ncurses without gpm support solves this.

Version-Release number of selected component (if applicable):
ncurses >= 5.3-5  (this was an issue in FC1 as well)

How reproducible:
Always

Steps to Reproduce:
1. Set up a machine without a mouse (or possibly stop gpm, just make
sure that /dev/gpmctl doesn't exist)
2. From the console, run:
dialog --msgbox "Hello World" 0 0 2>/tmp/foo
3. cat /tmp/foo


Actual Results:  The following is output to stderr from ncurses:
*** info [lib/liblow.c(326)]:
/dev/gpmctl: No such file or directory
*** err [lib/liblow.c(333)]:
/dev/gpmctl: No such file or directory
*** err [lib/liblow.c(377)]:
Oh, oh, it's an error! possibly I die!

Expected Results:  No error.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.